## edgedetect edgedetect |

## Properties

gint | aperture | Read / Write
gboolean | mask | Read / Write
gint | threshold1 | Read / Write
gint | threshold2 | Read / Write

## Types and Values

struct | GstEdgeDetect

## Description

Performs canny edge detection on videos and images

### Example launch line

    1
    gst-launch-1.0 videotestsrc ! decodebin ! videoconvert ! edgedetect ! videoconvert ! xvimagesink

## Synopsis

### Element Information

plugin | opencv
author | Michael Sheldon <mike@mikeasoft.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstEdgeDetect

    struct GstEdgeDetect {
      GstOpencvVideoFilter element;

      gboolean mask;

      int threshold1;
      int threshold2;
      int aperture;

      IplImage *cvEdge;
      IplImage *cvGray;
    };

## Property Details

### The `“aperture”` property

      “aperture”                 gint

Aperture size for Sobel operator (Must be either 3, 5 or 7.

Flags: Read / Write

Allowed values: [3,7]

Default value: 3

### The `“mask”` property

      “mask”                     gboolean

Sets whether the detected edges should be used as a mask on the original input or not.

Flags: Read / Write

Default value: TRUE

### The `“threshold1”` property

      “threshold1”               gint

Threshold value for canny edge detection.

Flags: Read / Write

Allowed values: [0,1000]

Default value: 50

### The `“threshold2”` property

      “threshold2”               gint

Second threshold value for canny edge detection.

Flags: Read / Write

Allowed values: [0,1000]

Default value: 150